Package jxl.write

# Interface WritableCell

All Superinterfaces:
  `Cell`

All Known Implementing Classes:
  `Blank`, `jxl.write.biff.BlankRecord`, `Boolean`, `jxl.write.biff.BooleanRecord`, `jxl.write.biff.CellValue`, `jxl.write.biff.DateRecord`, `DateTime`, `Formula`, `jxl.write.biff.FormulaRecord`, `Label`, `jxl.write.biff.LabelRecord`, `Number`, `jxl.write.biff.NumberRecord`

public interface WritableCell extends Cell
The interface for all writable cells

## Method Summary

Modifier and Type
Method
Description
`WritableCell`
`copyTo(int col, int row)`
A deep copy.
`WritableCellFeatures`
`getWritableCellFeatures()`
Accessor for the cell features
`void`
`setCellFeatures(WritableCellFeatures cf)`
Sets the cell features
`void`
`setCellFormat(CellFormat cf)`
Sets the cell format for this cell

### Methods inherited from interface jxl.Cell

`getCellFeatures, getCellFormat, getColumn, getContents, getRow, getType, isHidden`

## Method Details

### setCellFormat

void setCellFormat(CellFormat cf)
Sets the cell format for this cell

Parameters:
  `cf` - the cell format

### copyTo

WritableCell copyTo(int col, int row)
A deep copy. The returned cell still needs to be added to the sheet. By not automatically adding the cell to the sheet, the client program may change certain attributes, such as the value or the format

Parameters:
  `col` - the column which the new cell will occupy
  `row` - the row which the new cell will occupy
Returns:
  a copy of this cell, which can then be added to the sheet

### getWritableCellFeatures

WritableCellFeatures getWritableCellFeatures()
Accessor for the cell features

Returns:
  the cell features or NULL if this cell doesn't have any

### setCellFeatures

void setCellFeatures(WritableCellFeatures cf)
Sets the cell features

Parameters:
  `cf` - the cell features